package com.gh.gamecenter.entity

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

/**
 * Created by khy on 28/05/17.
 */

@Parcelize
class SubjectSettingEntity(
    @SerializedName("type")
    var typeEntity: TypeEntity = TypeEntity(),
    var tag: String = "",
    var filter: String = "", // rows: off/on
    var order: Boolean = false, // 是否显示序号

    @SerializedName("show_suffix")
    var showSuffix: Boolean = true,
    @SerializedName("brief_style")
    var briefStyle: String = "",

    @SerializedName("filter_sizes")
    var filterSizes: ArrayList<Size>? = null,

    @SerializedName("filter_options")
    var filterOptions: List<String> = ArrayList(), // 过滤选项，推荐、最新、评分、更新
    @SerializedName("ad_icon_active")
    var adIconActive: Boolean = false,
) : Parcelable {
    @Parcelize
    class TypeEntity(
        var content: MutableList<String> = ArrayList(), // top/tile
        var labels: MutableList<LabelEntity> = ArrayList(), // rows
        var layout: String = "" // top/tile/rows
    ) : Parcelable

    @Parcelize
    class LabelEntity(
        var name: String = "",
        var label: MutableList<String> = ArrayList()
    ) : Parcelable

    @Parcelize
    class Size(
        var min: Int? = -1,
        var max: Int? = -1,
        var text: String? = "全部大小"
    ) : Parcelable
}





